Title overflow because grml cups are too small
Priority bug Status resolved
Superseder Nosy List mika, mirabilos
Assigned To mika Topics release-stopper

Created on 2010-10-15.09:24:21 by mirabilos, last changed 2010-11-04.14:57:49 by mika.

File name Uploaded Type Edit Remove
Foto am 15-10-2010 um 11.21.jpg mirabilos, 2010-10-15.09:24:20 image/jpeg
msg3428 (view) Author: mika Date: 2010-11-04.14:57:49
We decided to not support this request, a solution is available in the enterprise 
msg3381 (view) Author: mirabilos Date: 2010-10-16.16:23:24
It should be noted though that there is danger of a regression test failure. 
Some coffee machines would not accept cups higher (vertically larger), so the 
increasement in buffer size would need to go to circular dimensions, i.e. the 

Luckily, the amount of extra buffer space needed is relatively small, otherwise 
we’d end up with a Müesli cup instead…
msg3380 (view) Author: mika Date: 2010-10-15.10:08:10
Thanks for the bugreport. This needs to be verified, will do at next Grml 
developer meeting ->

Marking as release stopper issue.
msg3379 (view) Author: mirabilos Date: 2010-10-15.09:24:20
When applying a normal amount of espresso, cane sugar, cocoa powder, and 
steamed milk to a Grml coffee cup, it will overflow. While this is not an 
exploitable bug, it can be pretty messy to clean up.

Futhermore (see attached screenshot, taken after freeing some of the buffer) 
junk data can be left on the outside, which reduces the drinking experience.

Proposed fix: enlarge the cup.
Date User Action Args
2010-11-04 14:57:49mikasetstatus: testing -> resolved
nosy: mika, mirabilos
messages: + msg3428
2010-10-16 16:23:25mirabilossetnosy: mika, mirabilos
messages: + msg3381
2010-10-15 10:08:11mikasetstatus: unread -> testing
assignedto: mika
topic: + release-stopper
messages: + msg3380
nosy: + mika
2010-10-15 09:24:21mirabiloscreate